Re: Are UFT v11.5 installations compatible with a QTP v10.0 Licence Server? (1058 Views)
Reply
Occasional Advisor
AmitSharma
Posts: 9
Registered: ‎01-24-2012
Message 1 of 4 (1,090 Views)

Are UFT v11.5 installations compatible with a QTP v10.0 Licence Server?

Hi,

 

I've just discovered that QTP v10.0 is no longer under HP Support and hence our new installations of this tool will have to be UFT v11.5.

 

However, I'm working within a large and distributed environment where they have over 120 existing QTP v10.0 installations all connected to a single Licence Server (which I'm assuming is running QTP v10.0 also).

 

My question is that if we create new installations of UFT v11.5 as per our current requirements, will we still be able to connect to the existing Licence Server (which isn't being updated)?

 

I just want to make sure we've covered off all points before updating our 12 new installations from QTP v10.0 to UFT v11.5.

 

Any information would be gratefully received.

 

Regards,

Amit

Honored Contributor
john scarpino
Posts: 1,344
Registered: ‎02-15-2008
Message 2 of 4 (1,066 Views)

Re: Are UFT v11.5 installations compatible with a QTP v10.0 Licence Server?

Hi Amit,

 

Yes, I believe that should work. Below is some information. I am running QTP License Server from the QTP 9.2 and it is now working for QTP 11 however you will be using QTP/UFT 11.5. As long as the license server was installed and based for version QTP 9.2 I think you should be fine. Take a look at the following...

 

1. Take a look at the attached QTP 11 License Server Install on page 11. 

 "If you are working with a version of QuickTest later than 8.2.x, you need to use the HP Functional Testing Concurrent License Server version 9.0 or later."

 

2. Take a look at the UFT installation Guide on page 18. 

"➤ UFT supports the Sentinel RMS License Manager version 8.4.0 as its

concurrent license server. If you are upgrading to UFT with a concurrent

license, you must also upgrade your concurrent license server. For details

on setting up a concurrent license server, see the

HP Functional Testing

Concurrent License Server Installation Guide.

 

License data is retained when upgrading from QuickTest Professional

version 9.5 or later. However, if you have not installed a license before the

upgrade, you must run the UFT License Wizard as part of the installation.

For more details, see step 11 on page 30."

 

3. The following link confirms. https://groups.google.com/forum/#!topic/mercuryqtp/Ce8xyOT3H64

 

I hope this helps.
John Scarpino, D.Sc.
Keep finding bugs!

 

Occasional Advisor
AmitSharma
Posts: 9
Registered: ‎01-24-2012
Message 3 of 4 (1,061 Views)

Re: Are UFT v11.5 installations compatible with a QTP v10.0 Licence Server?

Hi John,

 

Many thanks for your detailed reply and attachments.

 

Just reading point 2) in your message, it would appear that we would have to upgrade the Licence Server also to work with UFT v11.5 and that the existing Licence Server would not work with UFT?

 

In which case, we'll have a problem because there will be a lot of resistance from the business in upgrading the Licence Server that is currently being used by other projects without issue...

 

But I have this information and can now make recommendations back to our project so thank you again for your help.

 

Regards,

Amit

Honored Contributor
john scarpino
Posts: 1,344
Registered: ‎02-15-2008
Message 4 of 4 (1,058 Views)

Re: Are UFT v11.5 installations compatible with a QTP v10.0 Licence Server?

Hi Amit,

 

No problem. Yes, #2 is not a straight forward answer this is why #3 confirms at QTP 9.2 License Server should work for you. I believe you are fine however you may want to install UFT on a computer and attach it to the QTP 9.2 license server to see if it pulls a concurrent license.

 

Best regards,

I hope this helps.
John Scarpino, D.Sc.
Keep finding bugs!

The opinions expressed above are the personal opinions of the authors, not of HP. By using this site, you accept the Terms of Use and Rules of Participation.